:root { --landing-preview-bg: #1e1e1e; }

body{
    background-color: #1e1e1e;
}

/* BURGER */

.nav-mbl{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    padding: 0 5%;
}

.nav-mbl img{
   width: auto;
    max-height: 90px;
    max-width: 15%;
}

/* Estat tancat */
.exit-mobile { display: none; }
.icon-bar { display: block; }

/* Estat obert  */
.menu-toggle.open .exit-mobile { display: block !important; }
.menu-toggle.open .icon-bar { display: none !important; }    

.icon-bar,
.icon-bar1,
.icon-bar2 {
    display: block;
    height: 2px;
    width: 25px;
    background: #C4C0AE;
    margin-left: auto;
    margin-right: auto;
    position: relative;
}

.icon-bar1,
.icon-bar2 {
    width: 18px;
    background: #FFFFFF;
}

.icon-bar:before,
.icon-bar:after {
    background: #C4C0AE;
    content: "";
    height: 100%;
    left: 4px;
    position: absolute;
    bottom: -6px;
    right: 0;
}

.icon-bar:after {
    bottom: -12px;
    left: 8px;
    top: auto;
}

.icon-bar:before,
.icon-bar:after {
    background: #C4C0AE;
    content: "";
    height: 100%;
    left: 4px;
    position: absolute;
    bottom: -6px;
    right: 0;
}

.icon-bar:after {
    bottom: -12px;
    left: 8px;
    top: auto;
}

.icon-bar1 {
    top: 2px;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.icon-bar2 {
    -webkit-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.brand-header {
    background-color: #1E1E1E; 
}

.brand-nav a {
    color: #C4C0AE; 
}

.header-social a{
  background-color: #C4C0AE;
}

.hero-header-mbl{
    display: none;
}




/* Secció d'introducció de marca */

.brand-intro-section {
    background-color: #1e1e1e; 
    color: #ffffff;
    padding: 60px 0px;
    font-family: 'Montserrat', sans-serif;
}

.container-brand {
    width: 82%;
    margin: 0 auto;
    display: flex;
    gap: 40px; 
}

/* Columna Esquerra */
.intro-main-text {
    flex: 2; 
}

.brand-subtitle {
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    font-size: 32px;
    margin-bottom: 30px;
    color: #C3BFAD;
}

.intro-main-text p,
.intro-main-text span {
    font-size: 18px;
    line-height: 2;
    margin-bottom: 25px;
    font-weight: 300;
    color: #e0e0e0;
    font-weight: 400;
}

.intro-main-text strong {
    font-weight: 700;
    color: #ffffff;
}

/* Columna Dreta */
.intro-locations {
    flex: 1; 
    padding-left: 40px;
}

.location-title {
    font-size: 22px;
    text-transform: none;
    margin-bottom: 40px;
    font-weight: 400;
}

.location-item {
    margin-bottom: 35px;
}

.location-item h4 {
    font-size: 22px;
    letter-spacing: 1px;
    color: #C4C0AE;
    margin-bottom: 10px;
}

.location-item p {
    font-size: 18px;
    line-height: 1.6;
    margin: 0;
    font-weight: 300;
}

.location-item .phone {
    font-weight: 700;
    margin-top: 5px;
}

.carousel-container{
    display: none;
}

/* MASONRY GENERAL */

.eltall-masonry {
    background-color: #1e1e1e;
    padding: 40px 0;
    margin: 0 auto;
    width: 82%;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.masonry-grid {
    display: grid;
    grid-template-columns: 33% 1fr;
    gap: 40px;
    align-items: flex-start; 
}

.masonry-grid.reverse {
    grid-template-columns: 1fr 33%;
}


.masonry-grid img { 
    height: auto; 
    object-fit: cover;

}



.grid-small {
    display: flex;
    flex-direction: column;
    gap: 40px;
}



.grid-big {
    display: flex;
    flex-direction: column;
    gap: 40px;
}


.mosaic {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
}

.mosaic-column {
    display: flex;
    flex-direction: column;
    gap: 40px;
}


.mosaic > div:first-child img {
    height: 100%;
    object-fit: cover;
}



.foto-unica {
    flex: 1 1 300px; 
    min-height: 0;
}

.foto-unica img {
    height: auto;
    width: 100%;
    object-fit: cover; 
}

.columne-big{
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.separator-line {
    width: 82%;      
    height: 1px;
    background-color: #C2BEAC;
    display: block;
    margin: auto;    
}

/* SECCIÓ DE CONTACTE */

.contact-section {
    background-color: #1e1e1e; 

}

.contact-container {
    margin: 0 auto;
    position: relative;
    z-index: 2; 
}


.serif {
    font-family: 'Montserrat', serif; 
    color: #C3BFAD; 
   
}

.serif-contacte{
    color: #1e1e1e;
    font-size: 4rem;
    font-family: 'Montserrat', serif; 
}


.info-card {
    background-color: #1E1E1E;
    border: solid 1px #fff;
    color: #fff;
}


.card-details p {
    color:#fff;
    padding-left: 3%;
}

.card-details a {
    font-family: 'Montserrat', sans-serif;
    color:#fff;
}

.form-wrapper {
    background-color: #C2BEAC; 
    margin-top: 100px; 
}




.form-intro {
    color: #1e1e1e;
}

.input-group {
    margin-bottom: 15px;
}

.input-group input, .input-group textarea {
    border: 1px solid #1e1e1e;
    color: white;
    font-family: 'Montserrat', sans-serif;
}

.input-group input:focus, .input-group textarea:focus {
    border-color: #000;
    
}

.form-footer {
    font-family: 'Montserrat', sans-serif;
    font-size: 0.8rem;
}

::placeholder {
    color:#595958;
    
}


.btn-submit {
    background-color: #000; 
    color: #fff;
    
}

.btn-submit:hover {
    background-color: #00000070;
    
}

/* footer */

.main-footer {
    background-color: #C2BEAC;
    color: #1e1e1e;
}

.footer-social a {
    background-color: #1e1e1e;
    color: #fff;
}

.footer-nav a {
    color: #1e1e1e;
}

.logos-grid-mbl{
    display: none;
}
	
